Loading...
Searching...
No Matches
Magick::DrawablePushGraphicContext Class Reference
Inheritance diagram for Magick::DrawablePushGraphicContext:

## Public Member Functions

void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

::ssize_t | _dummy

## Detailed Description

Definition at line 1334 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePushGraphicContext()

Magick::DrawablePushGraphicContext::DrawablePushGraphicContext | ( | void |  | ) |

inline

Definition at line 1337 of file Drawable.h.

: _dummy(0)
{
}

## ~DrawablePushGraphicContext()

Magick::DrawablePushGraphicContext::~DrawablePushGraphicContext | ( | void |  | ) |

Definition at line 1014 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePushGraphicContext::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1022 of file Drawable.cpp.

{
return new DrawablePushGraphicContext(*this);
}

## operator()()

void Magick::DrawablePushGraphicContext::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1017 of file Drawable.cpp.

{
PushDrawingWand( context_ );
}

## Field Documentation

## _dummy

::ssize_t Magick::DrawablePushGraphicContext::_dummy

private

Definition at line 1351 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp